commit 635e657ce2c75c781d40469bbdd28645e64d89b0
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Tue Oct 4 19:12:13 2022 +0100

    Quieten clang build

diff --git a/src/src/mytypes.h b/src/src/mytypes.h
index 49fed0a9d..141d2c613 100644
--- a/src/src/mytypes.h
+++ b/src/src/mytypes.h
@@ -42,8 +42,12 @@ so we have to give up on all of the available parameter checking. */
 # define FUNC_MAYBE_UNUSED	__attribute__((__unused__))
 # define WARN_UNUSED_RESULT	__attribute__((__warn_unused_result__))
 # define ALLOC			__attribute__((malloc))
-# define ALLOC_SIZE(A)		__attribute__((alloc_size(A)))
 # define NORETURN		__attribute__((noreturn))
+# ifndef __clang__
+#  define ALLOC_SIZE(A)		__attribute__((alloc_size(A)))
+# else
+#  define ALLOC_SIZE(A)		/**/
+# endif
 #else
 # define ARG_UNUSED		/**/
 # define FUNC_MAYBE_UNUSED	/**/

